com.fasterxml.jackson.dataformat.smile

## Enum SmileParser.Feature

- java.lang.Object
- - java.lang.Enum<SmileParser.Feature>
  - - com.fasterxml.jackson.dataformat.smile.SmileParser.Feature

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<SmileParser.Feature>

Enclosing class:
  SmileParser

    public static enum SmileParser.Feature
    extends java.lang.Enum<SmileParser.Feature>

Enumeration that defines all togglable features for Smile generators.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`REQUIRE_HEADER` Feature that determines whether 4-byte Smile header is mandatory in input, or optional.

### Method Summary

Methods
`static int` `collectDefaults()` Method that calculates bit set (flags) of all features that are enabled by default.
`boolean` `enabledByDefault()`
`int` `getMask()`
`static SmileParser.Feature` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static SmileParser.Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### REQUIRE_HEADER

    public static final SmileParser.Feature REQUIRE_HEADER

Feature that determines whether 4-byte Smile header is mandatory in input, or optional. If enabled, it means that only input that starts with the header is accepted as valid; if disabled, header is optional. In latter case,r settings for content are assumed to be defaults.

### Method Detail

#### values

    public static SmileParser.Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (SmileParser.Feature c : SmileParser.Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static SmileParser.Feature valueOf(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### collectDefaults

    public static int collectDefaults()

Method that calculates bit set (flags) of all features that are enabled by default.

#### enabledByDefault

    public boolean enabledByDefault()

#### getMask

    public int getMask()